Subject: bash ignores terminal input
From: [email-masked] (Rob Anderson)

29 Apr 1998 09:38:10 -0700
Sender: [email-masked]
Message-ID: <[email-masked]>
References: <[email-masked]>
To: [email-masked]
Cc: [email-masked]
MIME-Version: 1.0
Content-Transfer-Encoding: 7bit
Content-Type: text/plain; charset=us-ascii

Several users had complained that various apps, such as NT's FTP utility, seemed to
be ignoring user input, or giving strange -- or no -- output when run under bash.  I
am presently trying to use several in-house text-based apps under bash.  These apps
were written to run under NT's MSDOS shell, and they exhibit weird terminal response
under bash (using B19.1).  Chiefly, they seem to ignore input.

The problem is somewhat alleviated by running the apps under MSDOS shell from bash
(i.e. cmd /c "command'), but if I do this, and send a CTRL-C signal to such an app
while it is running, it seems to hang, and I can only kill it using NT's Task
Manager.

Does anyone know if this problem ever got fixed?  I noticed that the number of
postings to the mailing list about this problem seems to have diminished over the
last couple of months, so I thought there might have been a fix put in place that I
overlooked.

Rob

[email-masked] wrote:

> AH-HA. That works! Though you really shouldn't have to run these programs from
> the CMD shell. It also causes another problem, once you've issued a cvs command,
> you can no longer "exit" bash. You have to kill the window from the task
> manager. Other than being unable to gracefully exit bash, everything else seems
> to work.
>
> Thanks, Alan
>
> ------------------------------------------------------------------------------
>
> Message-ID: <[email-masked]>
> Date: Mon, 09 Mar 1998 23:25:11 -0800
> From: Rob Anderson <[email-masked]>
> Organization: Equator Technologies Inc, Seattle, WA
> X-Mailer: Mozilla 4.04 [en] (WinNT; U)
> MIME-Version: 1.0
> To: [email-masked]
> CC: [email-masked]
> Subject: Re: cvs output /w b19
> References: <[email-masked]>
> Content-Type: text/plain; charset=us-ascii
> Content-Transfer-Encoding: 7bit
>
> I've noticed the same problem.  It seems to be the same tty problem that causes
> Windoze NT FTP not to display correctly.
>
> For now, I've added the following to my .bash_profile as a workaround:
>
> alias cvs="cmd /k cvs"
>
> Rob
>
> [email-masked] wrote:
>
> > We've just upgraded to b19. Just about everything seems to work as expected
> with
> > one exception. We are using cvs client on our NT4 SP3 boxes. We haven't
> touched
> > that. It worked fine under b18 and still works under b19 *except* that it
> never
> > gives any output on the screen. That is "cvs -H" returns nothing to the
> terminal
> > window. We've tried playing around with CYGWIN32, =tty etc. Nothing seems to
> > work. This has *got* to be something simple, but what?
> >
> > Thanks for any clues, Alan
> >
> > -
> > For help on using this list (especially unsubscribing), send a message to
> > "[email-masked]" with one line of text: "help".
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".